SDL_GetTrayMenu(3)

NAME
SDL_GetTrayMenu - Gets a previously created tray menu.

HEADER FILE
Defined in SDL3/SDL_tray.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_TrayMenu * SDL_GetTrayMenu(SDL_Tray *tray);

DESCRIPTION
You should have called SDL_CreateTrayMenu () on the tray object. This function allows you to fetch it again later.

This function does the same thing as

SDL_GetTraySubmenu (), except that it takes a

SDL_Tray
 instead of a SDL_TrayEntry .

A menu does not need to be destroyed; it will be destroyed with the tray.

FUNCTION PARAMETERS

tray
    the tray entry to bind the menu to.

RETURN VALUE
( SDL_TrayMenu
 *) Returns the newly created menu.

THREAD SAFETY
This function should be called on the thread that created the tray.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_CreateTray(3), •(3), SDL_CreateTrayMenu(3)